# H323GenericVideoCapabilityTemplate< oid, fmtFunc > Class Template Reference

`#include <h323caps.h>`

Inheritance diagram for H323GenericVideoCapabilityTemplate< oid, fmtFunc >:

[legend]
Collaboration diagram for H323GenericVideoCapabilityTemplate< oid, fmtFunc >:
[legend]

## Public Member Functions

| H323GenericVideoCapabilityTemplate ()
virtual PObject * | Clone () const
virtual PString | GetFormatName () const

### template<const char * oid, const OpalVideoFormat & fmtFunc>
class H323GenericVideoCapabilityTemplate< oid, fmtFunc >

## Constructor & Destructor Documentation

template<const char * oid, const OpalVideoFormat & fmtFunc>

H323GenericVideoCapabilityTemplate< oid, fmtFunc >::H323GenericVideoCapabilityTemplate | ( |  | ) | `[inline]`

## Member Function Documentation

template<const char * oid, const OpalVideoFormat & fmtFunc>

virtual PObject* H323GenericVideoCapabilityTemplate< oid, fmtFunc >::Clone | ( |  | ) | const`[inline, virtual]`

template<const char * oid, const OpalVideoFormat & fmtFunc>

virtual PString H323GenericVideoCapabilityTemplate< oid, fmtFunc >::GetFormatName | ( |  | ) | const`[inline, virtual]`

Get the name of the media data format this class represents.

Implements H323Capability.

The documentation for this class was generated from the following file:

- h323caps.h